<?
$DEFINITIONS = Zend_Registry::get('defines');
$current_user = Model_Users::getCurrent();
$client = Cubix_Api_XmlRpc_Client::getInstance();
?>

<? if ($this->items): ?>
    <? $k = 1; ?>

    <? foreach ($this->items as $item): ?>

        <?
        $item['looks_rating'] = intval($item['looks_rating']);
        $item['services_rating'] = intval($item['services_rating']);

        // This is because in old logic,
        // rating was actually 1 - 10, but now its 1 - 5, ugh -_-
        //-------------------------------------------
        $item['looks_rating'] = $item['looks_rating'] > 5 ? floor($item['looks_rating'] / 2) : $item['looks_rating'];
        $item['services_rating'] = $item['services_rating'] > 5 ? floor($item['services_rating'] / 2) : $item['services_rating'];
        //-------------------------------------------
        ?>

        <div class="review-item" id="review-<?= $item['id'] ?>">
            <div class="name d-flex align-items-center">

                <div class="avatar">
                    <i class="fas fa-user"></i>
                </div>
                <div class="name-date">
                    <p>
                        <?= $item['username'] ?>
                    </p>
                    <p class="date">
                        <?= date('d.m.Y', $item['meeting_date']) ?>
                    </p>
                </div>
            </div>

            <div class="notes d-flex align-items-center">
                <div>
			<span>
				<?= __('looks') ?></span>
                    <? for ($i = 1; $i <= 5; $i++): ?>
                        <i class="fas fa-star <?= $i <= $item['looks_rating'] ? 'active' : '' ?> "></i>
                    <? endfor; ?>
                </div>
                <div>
			<span>
				<?= __('services') ?></span>
                    <? for ($i = 1; $i <= 5; $i++): ?>
                        <i class="fas fa-crown <?= $i <= $item['services_rating'] ? 'active' : '' ?> "></i>
                    <? endfor; ?>
                </div>
            </div>
            <div class="clear mb-20"></div>
            <div class="escort-details-full">
                <p>
                    <?= $item['review'] ?>
                </p>
            </div>
            <div class="d-flex justify-content-end align-items-center">
                <div class="view-trigger">
                    <a href="#" class="uppercase weight">
                        <div>
                            <? if (!$item['escort_comment']): ?>
                                <a href="#" class="uppercase text-grey mr-30 add-comment weight">
                                <?= __('replay') ?></a>
                            <? endif; ?>
                            <a href="" class="when-closed uppercase font-weight-bold"><?= __('view_more') ?></a>
                            <a href="#" style="display: none;" class="when-open uppercase weight">
                                <?= __('view_less') ?>
                            </a>
                        </div>
                    </a>
                </div>
            </div>
            <div class="extra-info-container">
                <div class="clear mb-30"></div>
                <div class="d-flex flex-wrap flex-md-nowrap justify-content-between">
                    <div class="group-details">
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('meeting_place') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['meeting_place_options'][$item['meeting_place']] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('meeting_length') ?>
                            </div>
                            <div>
                                <?= $item['duration'] . ' ' . $DEFINITIONS['time_unit_options'][$item['duration_unit']] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('meeting_costs') ?>
                            </div>
                            <div>
                                <?= $item['price'] . ' ' . $item['currency'] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('looks') ?>
                            </div>
                            <div>
                                <?= $item['looks_rating'] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('services') ?>
                            </div>
                            <div>
                                <?= $item['services_rating'] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('rating') ?>
                            </div>
                            <div>
                                <?= $item['fuckometer'] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('kissing') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['kissing_options'][$item['s_kissing']] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('multiple_times_sex') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['mts_options'][$item['s_multiple_sex']] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('blowjob') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['blowjob_options'][$item['s_blowjob']] ?>
                            </div>
                        </div>
                    </div>
                    <div class="group-details">
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('breast') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['breast_options'][$item['s_breast']] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('cumshot') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['cumshot_options'][$item['s_cumshot']] ?>
                            </div>
                        </div>
                        <? if(isset($item['s_attitude']) && !empty($item['s_attitude'])): ?>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('attitude') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['attitude_options'][$item['s_attitude']] ?>
                            </div>
                        </div>
                        <? endif; ?>

                        <div class="d-flex justify-content-between">
                            <div class="subtitle">69</div>
                            <div>
                                <?= $DEFINITIONS['y_n_na_options'][$item['s_69']] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('conversation') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['conversation_options'][$item['s_conversation']] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('anal') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['y_n_na_options'][$item['s_anal']] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('availability') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['availability_options'][$item['s_availability']] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('sex') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['sex_options'][$item['s_sex']] ?>
                            </div>
                        </div>
                        <div class="d-flex justify-content-between">
                            <div class="subtitle">
                                <?= __('photos') ?>
                            </div>
                            <div>
                                <?= $DEFINITIONS['photos_options'][$item['s_photos']] ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="clear mb-20"></div>
                <div class="review-comment <?= $item['services_comments'] ? '' : 'd-none' ?>">
			<span>
				<?= __('service_comments') ?> </span>
                    <?= $item['services_comments'] ?>
                </div>

                <div class="review-comment mt-2 <?= $item['escort_comment'] ? '' : 'd-none' ?>">
			<span>
				<?= __('your_comment') ?> </span>
                    <?= $item['escort_comment'] ?>
                </div>
            </div>
            <div class="comment-container">
                <form class="comment-form" action='/reviews/add-comment?review_id=<?= $item['id'] ?>'>
                    <div class="clear mb-10"></div>
                    <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
                        <label class="mobile">
                            <?= __('type_comment') ?></label>
                        <textarea name="com" placeholder="<?= __('type_comment') ?>" rows="3"></textarea>
                        <input type="hidden" value="<?= $item['id'] ?>" name="review_id">
                    </div>

                    <div class="clear mb-20"></div>
                </form>
                <div class="d-flex justify-content-end align-items-center">
                    <? if (!$item['escort_comment']): ?>
                        <a href="#" class="uppercase weight submit-post-btn" data-id="<?= $item['id'] ?>">
                            <?= __('post') ?></a>
                    <? endif; ?>
                </div>
            </div>
        </div>

        <? $k++; ?>
    <? endforeach; ?>

    <!-- Pagination -->
    <? $pages_count = ceil($this->count / $this->per_page); ?>
    <? if ($pages_count != 1): ?>

        <section id="paging"
                 class="pagination-container d-flex justify-content-sm-center justify-content-md-between align-items-center">
            <div class="pagination d-flex align-items-center">
                <? $pages = $this->paging($this->count, $this->page, $this->per_page, 7, 3); ?>

                <? foreach ($pages as $page): ?>
                    <? if ($this->page == $page): ?>
                        <a class="page-number grey active">
                            <?= $page ?></a>
                    <? else: ?>
                        <a class="page-number grey set-filter" data-page="<?= $page ?>">
                            <?= $page ?></a>
                    <? endif; ?>
                <? endforeach; ?>
            </div>
            <? if ($pages_count > $this->page): ?>
                <a class="next btn btn-brown uppercase set-filter" data-page="<?= $this->page + 1 ?>" href="#">
                    <?= __("next_page") ?></a>
            <? endif; ?>
        </section>
    <? endif; ?>
    <!-- / -->

<? endif; ?>